@import 'src/styles.scss';

h2 {
  color: #262b38;
  font-weight: normal;
  font-size: 1.5rem;
  line-height: 1.75rem;
  margin: 0 0 1rem 0;
}

section > div {
  border-bottom: 1px solid #cfcfcf;
  margin: 0 0 2rem 0;
  padding: 0.5rem 0 2rem 0;
  &:last-of-type {
    border: unset;
  }
}

li {
  list-style: none;
}

.header {
  &__country-container {
    display: flex;
    gap: 0.75rem;
  }
  &__country-label {
    font-size: 1rem;
    line-height: 1.5rem;
    align-self: center;
  }
}

.content-wrapper {
  @include tablet-large {
    display: grid;
    grid-template-columns: 25% 1fr;
    gap: 2rem;
  }
}

.intro-section {
  &__container:empty {
    display: none;
  }
  &__alternative-languages-title {
    display: block;
    margin: 0 0 0.75rem 0;
  }
  &__alternative-languages-language {
    display: flex;
    gap: 0.75rem;
    margin: 0 0 0.5rem 0;
    .code {
      display: block;
      border: 1px solid #cfdaf5;
      border-radius: 0.25rem;
      background-color: #f3f6fc;
      padding: 0.25rem 0.5rem;
      height: fit-content;
    }
    .name {
      align-self: center;
    }
    &:last-child {
      margin-bottom: 0;
    }
  }
}

.stakeholder-section {
  &__stakeholder-container {
    display: grid;
    gap: 1rem;
    @include tablet {
      grid-template-rows: auto 1fr;
      grid-template-columns: 25% 1fr;
    }
    padding: 1rem;
    background-color: #f5f5f5;
    border: 1px solid #cfcfcf;
    img {
      height: auto;
      width: 100%;
      grid-row: 1 / 3;
    }
  }
  &__stakeholder-title {
    color: #515560;
    font-size: 1.25rem;
    line-height: 1.5rem;
  }
  &__stakeholder-description {
    color: #515560;
  }
}

.evidences-section {
  &__description {
    display: block;
    margin: 0 0 1.875rem 0;
    font-size: 1rem;
    line-height: 1.5rem;
    color: #515560;
  }
  &__select-container:not(:last-child) {
    margin: 0 0 3rem 0;
  }
  &__cards-container {
    position: relative;
    display: flex;
    flex-direction: column;
    gap: 1rem;
    @include tablet-large {
      display: grid;
      grid-template-columns: 50% 1fr;
    }
    &:empty {
      display: none;
    }
  }
}

.requirements-section {
  &__description {
    color: #515560;
  }
  &__list-wrapper {
    border-radius: 0.5rem;
    box-shadow:
      0px 3px 5px 0px #09318e0a,
      0px 0px 18px 0px #09318e0a,
      0px 6px 10px 0px #09318e0a,
      0px -4px 4px 0px #09318e0a;
  }
  &__list-item {
    overflow: hidden;
    &:last-child {
      .accordion-item__expandable-container {
        border-bottom: unset;
      }
      border-radius: 0 0 0.5rem 0.5rem;
    }
  }
}

.additional-procedures-section {
  background-color: #f9f9f9;
  padding: 2.5rem 0 1rem 0;
  margin: 0 0 -4rem 0;
}

.accordion-item {
  &__item-container {
    display: flex;
    align-items: center;
    justify-content: space-between;
    max-height: 5rem;
    padding: 1.5rem;
    border-bottom: 2px solid #cfdaf5;
  }
  &__item-title {
    color: #404040;
    font-size: 1.25rem;
    line-height: 2rem;
  }
  &__item-arrow {
    position: relative;
    display: flex;
    align-items: center;
    gap: 0.75rem;
    font-size: 1rem;
    line-height: 1.5rem;
    color: #0e47cb;
    cursor: pointer;
  }
  &__expandable-container {
    padding: 1.5rem;
    border-bottom: 1px solid #cfdaf5;
    border-left: 4px solid #0e47cb;
    color: #515560;
  }
  &__expandable-link {
    display: flex;
    gap: 0.5rem;
    align-items: center;
    a {
      color: #0e47cb;
      text-decoration: none;
      cursor: pointer;
    }
  }
  &__expandable-countries-container {
    display: flex;
    gap: 0.5rem;
    flex-wrap: wrap;
    li {
      display: flex;
      gap: 0.5rem;
      align-items: center;
      padding: 0.25rem 0.75rem;
      border-radius: 3rem;
      background-color: #f5f5f5;
      color: #515560;
      font-size: 0.875rem;
      line-height: 1.25rem;
    }
  }
}

.card {
  &__container {
    box-shadow:
      0px 3px 5px 0px #09318e0a,
      0px 0px 18px 0px #09318e0a,
      0px 6px 10px 0px #09318e0a,
      0px -4px 4px 0px #09318e0a;
    border-radius: 8px;
    // margin: 0 0 1rem 0;
    padding: 1.5rem;
    height: fit-content;
  }
  &__content-container {
    display: flex;
    flex-direction: column;
    gap: 1rem;
    margin-bottom: 1rem;
    &:last-child {
      margin: 0;
      .card__separator {
        display: none;
      }
    }
    span {
      display: block;
    }
  }
  &__content-provider {
    &-label {
      display: flex;
      gap: 0.5rem;
      align-items: center;
    }
    &--empty-state {
      font-style: italic;
      color: #707070;
      font-style: italic;
      font-size: 0.875rem;
      line-height: 1.25rem;
    }
  }
  &__content-requirement-label {
    display: flex;
    gap: 0.5rem;
    align-items: center;
  }
  &__content-link {
    text-decoration: none;
    color: #0e47cb;
    cursor: pointer;
  }
  &__content-description {
    color: #171a22;
  }
  &__separator {
    position: relative;
    border: 1px solid #cfdaf5;
    &-label {
      position: absolute;
      border: 1px solid #cfdaf5;
      background-color: #dccff5;
      font-size: 0.875rem;
      line-height: 1rem;
      padding: 0.25rem 0.5rem;
      border-radius: 0.24rem;
      left: 50%;
      transform: translate(-50%);
      bottom: -0.9rem;
    }
  }
}

.spinner-container {
  top: -2rem;
  min-height: 3rem;
}
